=begin
#WeFitter API

#This is the WeFitter API

OpenAPI spec version: v1.3
Contact: hello@wefitter.com
Generated by: https://github.com/swagger-api/swagger-codegen.git
Swagger Codegen version: 2.4.38
=end

require 'spec_helper'
require 'json'

# Unit tests for WeFitter::ChallengeApi
# Automatically generated by swagger-codegen (github.com/swagger-api/swagger-codegen)
# Please update as you see appropriate
describe 'ChallengeApi' do
  before do
    # run before each test
    @instance = WeFitter::ChallengeApi.new
  end

  after do
    # run after each test
  end

  describe 'test an instance of ChallengeApi' do
    it 'should create an instance of ChallengeApi' do
      expect(@instance).to be_instance_of(WeFitter::ChallengeApi)
    end
  end

  # unit tests for challenge_create
  # Create challenge
  # Creates a new challenge
  # @param data 
  # @param [Hash] opts the optional parameters
  # @return [ChallengeDetail]
  describe 'challenge_create test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for challenge_deactivate_member_create
  # Deactivate member
  # Deactivate a member from the challenge
  # @param public_id 
  # @param data 
  # @param profile A profile public_id is expected
  # @param [Hash] opts the optional parameters
  # @option opts [String] :team A team public_id is expected
  # @option opts [BOOLEAN] :is_active Whether profile actively participates in challenge.  While inactive, scores/leaderboard will not be updated but still be visible.
  # @return [ProfileAsProfilePublicIdAndTeamAsTeamPublicId]
  describe 'challenge_deactivate_member_create test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for challenge_deactivate_member_update
  # This docstring is used by Django Rest Framework
  # @param public_id 
  # @param data 
  # @param [Hash] opts the optional parameters
  # @return [ProfileAsProfilePublicIdAndTeamAsTeamPublicId]
  describe 'challenge_deactivate_member_update test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for challenge_deactivate_members_create
  # Deactivate members
  # Deactivate multiple members from the challenge
  # @param public_id 
  # @param data 
  # @param profile A profile public_id is expected
  # @param [Hash] opts the optional parameters
  # @option opts [String] :team A team public_id is expected
  # @option opts [BOOLEAN] :is_active Whether profile actively participates in challenge.  While inactive, scores/leaderboard will not be updated but still be visible.
  # @return [ProfilePublicIdsListAndTeamAsPublicId]
  describe 'challenge_deactivate_members_create test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for challenge_deactivate_members_update
  # This docstring is used by Django Rest Framework
  # @param public_id 
  # @param data 
  # @param [Hash] opts the optional parameters
  # @return [ProfilePublicIdsListAndTeamAsPublicId]
  describe 'challenge_deactivate_members_update test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for challenge_delete
  # Delete challenge
  # deletes a challenge
  # @param public_id 
  # @param [Hash] opts the optional parameters
  # @return [nil]
  describe 'challenge_delete test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for challenge_leaderboard
  # Leaderboard
  # Displays the leaderboard for a challenge. This endpoint returns a list of objects. 
  # @param public_id 
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :date_range Index of the time period use
  # @return [LeaderboardProfileAndTeam]
  describe 'challenge_leaderboard test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for challenge_leaderboard_history
  # Leaderboard history
  # Retrieve the scores of the authenticated profile for all periods since the profile joined the challenge. This endpoint returns a list of objects. 
  # @param public_id 
  # @param [Hash] opts the optional parameters
  # @return [LeaderboardHistory]
  describe 'challenge_leaderboard_history test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for challenge_list
  # List Challenges
  # Lists all available challenges
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :limit Number of results to return per page.
  # @option opts [Integer] :offset The initial index from which to return the results.
  # @option opts [Integer] :recent Show challenges that have not ended in the last N weeks
  # @return [InlineResponse200]
  describe 'challenge_list test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for challenge_member_create
  # Add member
  # Add member to a team.  Note: for now if the challenge is a team challenge and no team is specified, the first team for the specified profile is used. Do note that this is a temporary fix and may be removed at any time. 
  # @param public_id 
  # @param data 
  # @param [Hash] opts the optional parameters
  # @return [ProfileAsProfilePublicIdAndTeamAsTeamPublicId]
  describe 'challenge_member_create test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for challenge_member_delete
  # Remove member
  # Remove a member from the challenge
  # @param public_id 
  # @param profile A profile public_id is expected
  # @param [Hash] opts the optional parameters
  # @return [nil]
  describe 'challenge_member_delete test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for challenge_member_update
  # Add member
  # Add member to a team.  Note: for now if the challenge is a team challenge and no team is specified, the first team for the specified profile is used. Do note that this is a temporary fix and may be removed at any time. 
  # @param public_id 
  # @param data 
  # @param [Hash] opts the optional parameters
  # @return [ProfileAsProfilePublicIdAndTeamAsTeamPublicId]
  describe 'challenge_member_update test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for challenge_members_create
  # Add members
  # Add members to a team.  Note: for now if the challenge is a team challenge and no team is specified, the first team for the specified profile is used. Do note that this is a temporary fix and may be removed at any time.  Note: for the GET/POST endpoint an admin bearer token is required, while the GET also accepts profile bearer tokens
  # @param public_id 
  # @param data 
  # @param [Hash] opts the optional parameters
  # @return [ProfilePublicIdsListAndTeamAsPublicId]
  describe 'challenge_members_create test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for challenge_members_read
  # Get members
  # Get a paginated list of members enrolled to a Challenge
  # @param public_id 
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :limit Number of results to return per page.
  # @option opts [Integer] :offset The initial index from which to return the results.
  # @return [InlineResponse2002]
  describe 'challenge_members_read test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for challenge_members_update
  # Add members
  # Add members to a team.  Note: for now if the challenge is a team challenge and no team is specified, the first team for the specified profile is used. Do note that this is a temporary fix and may be removed at any time.  Note: for the GET/POST endpoint an admin bearer token is required, while the GET also accepts profile bearer tokens
  # @param public_id 
  # @param data 
  # @param [Hash] opts the optional parameters
  # @return [ProfilePublicIdsListAndTeamAsPublicId]
  describe 'challenge_members_update test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for challenge_partial_update
  # Partial edit challenge
  # Edits a challenge
  # @param public_id 
  # @param data 
  # @param [Hash] opts the optional parameters
  # @return [ChallengeDetail]
  describe 'challenge_partial_update test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for challenge_periods
  # Periods
  # Get all periods for the challenge. This endpoint returns a list of objects. 
  # @param public_id 
  # @param [Hash] opts the optional parameters
  # @return [ChallengePeriod]
  describe 'challenge_periods test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for challenge_read
  # Get Challenge
  # Gets a single challenge
  # @param public_id 
  # @param [Hash] opts the optional parameters
  # @return [ChallengeDetail]
  describe 'challenge_read test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for challenge_remove_members
  # Remove members
  # Remove members from the challenge
  # @param public_id 
  # @param data 
  # @param [Hash] opts the optional parameters
  # @return [ProfilePublicIdsListAndTeamAsPublicId]
  describe 'challenge_remove_members test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for challenge_team_list
  # Team leaderboard
  # List the standings of different teams in challenges (don&#39;t have to be team challenges). This endpoint returns a list of objects. 
  # @param challenge_public_id 
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :limit Number of results to return per page.
  # @option opts [Integer] :offset The initial index from which to return the results.
  # @option opts [Integer] :date_range Index of the time period use
  # @return [InlineResponse2001]
  describe 'challenge_team_list test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for challenge_team_read
  # Team contribution
  # List team members&#39; contribution to the challenge. This endpoint returns a list of objects. 
  # @param challenge_public_id 
  # @param team_public_id 
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :date_range Index of the time period use
  # @return [LeaderboardProfile]
  describe 'challenge_team_read test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for challenge_update
  # Edit challenge
  # Edits a challenge
  # @param public_id 
  # @param data 
  # @param [Hash] opts the optional parameters
  # @return [ChallengeDetail]
  describe 'challenge_update test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

end
